#ifndef _BJ_H
#define _BJ_H

#include <AppKit.h>
#include <InterfaceKit.h>

#include "Printer.h"

#define SCALE 8.3333f
#define SCREEN 72.0f
#define LETTER_WIDTH 8.5
#define LETTER_HEIGHT 11

class BJ : public Printer
	{
	public:
		// constructors / destructor
		BJ();
		~BJ();
		
		// public methods
		status_t 			PrintPage(BFile * spool, BMessage * job_msg, int32 page_number, int32 page_count);

		status_t			Init();
		status_t			LoadPage();
		status_t			EjectPage();
		
		status_t			RasterizePage(BFile * spool, BMessage * msg);
		
	private:
		BBitmap *			page_bitmap;
	};

#endif