#include "PageSetupWindow.h"

PageSetupWindow::PageSetupWindow(BMessage * msg)
	: BWindow(BRect(0,0,200,200), "Page Setup", B_TITLED_WINDOW_LOOK,
 			B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE | B_NOT_MINIMIZABLE |
 			B_NOT_ZOOMABLE)
{
	setup_msg	= msg;
	exit_sem 	= create_sem(0, "PageSetup");
	result 		= B_OK;
}



PageSetupWindow::~PageSetupWindow()
{
	delete_sem(exit_sem);
}



bool PageSetupWindow::QuitRequested()
{
	release_sem(exit_sem);
	return true;
}

status_t PageSetupWindow::Go()
{
	MoveTo(300,300);
	Show();
	acquire_sem(exit_sem);
	Lock();
	Quit();

	return result;
}
