#include "PrinterSetupWindow.h"

PrinterSetupWindow::PrinterSetupWindow(char * printer_name)
	: BWindow(BRect(0,0,400,400), "Printer Setup", B_TITLED_WINDOW_LOOK,
 			B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE | B_NOT_MINIMIZABLE |
 			B_NOT_ZOOMABLE)
{
	exit_sem 	= create_sem(0, "PrinterSetup");
	result 		= B_OK;
}



PrinterSetupWindow::~PrinterSetupWindow()
{
	delete_sem(exit_sem);
}



bool PrinterSetupWindow::QuitRequested()
{
	release_sem(exit_sem);
	return true;
}

status_t PrinterSetupWindow::Go()
{
	MoveTo(300,300);
	Show();
	acquire_sem(exit_sem);
	Lock();
	Quit();

	return result;
}
