#ifndef _BITMAPWINDOW_H
#define _BITMAPWINDOW_H

#include <InterfaceKit.h>

class BitmapWindow : public BWindow
{
public:

	BitmapWindow(const char * name, BBitmap * bitmap);
	~BitmapWindow();
	
	// virtual void MessageReceived(BMessage * msg);
	virtual bool QuitRequested();
	status_t Go();
	
private:
	long 		exit_sem;
	status_t 	result;
};

class BitmapView : public BView
{
public:
	BitmapView(BRect frame, BBitmap * bitmap);
	
	virtual void Draw(BRect invalid);
	virtual void AttachedToWindow(void);
	virtual void FrameResized(float width, float height);

private:
	void 		SetScrollbars(void);

	BBitmap *	bitmap;
};

#endif

	